coreutils-9.6 tests/chroot/chroot-credentials failure

"revsuine" ([email protected] via lfs-support Mailing List) <[email protected]> Tue, 29 Jul 2025 22:20:33 +0100
Newsgroups gmane.linux.lfs.support
Message-ID <[email protected]>
Book: LFS 12.3 SYSV
Section: 8.58

Hi there, tests/chroot/chroot-credentials is failing for me with coreutils-9.6.
I've not deviated from the book instructions at all (or at least I haven't
deliberately done so), and have applied the patch as instructed in section 8.58.
Here is the output from tests/test-suite.log:

===============================================
   GNU coreutils 9.6: ./tests/test-suite.log
===============================================

# TOTAL: 36
# PASS:  20
# SKIP:  15
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

System information (uname -a): Linux 6.12.40_1 #1 SMP PREEMPT_DYNAMIC Mon Jul 28
02:46:56 UTC 2025 x86_64

.. contents:: :depth: 2

SKIP: tests/cp/cp-a-selinux
===========================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-cp-a-selinux.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-cp-a-selinux.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-cp-a-selinux.sh.xZOV
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-cp-a-selinux.sh.xZOV
++++ ls -dgo /sources/coreutils-9.6/gt-cp-a-selinux.sh.xZOV
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-cp-a-
selinux.sh.xZOV'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-cp-a-selinux.sh.xZOV
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-cp-a-selinux.sh.xZOV
++ cd /sources/coreutils-9.6/gt-cp-a-selinux.sh.xZOV
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ cp
+ require_built_ cp
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env cp --version
cp (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/cp/cp-a-selinux.sh
+ require_selinux_
+ grep 'selinuxfs$' /proc/filesystems
+ skip_ 'this system lacks SELinux support'
+ warn_ 'cp-a-selinux.sh: skipped test: this system lacks SELinux support'
+ case $IFS in
+ printf '%s\n' 'cp-a-selinux.sh: skipped test: this system lacks SELinux
support'
cp-a-selinux.sh: skipped test: this system lacks SELinux support
+ test 9 = 2
+ printf '%s\n' 'cp-a-selinux.sh: skipped test: this system lacks SELinux
support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-cp-a-selinux.sh.xZOV
+ rm -rf /sources/coreutils-9.6/gt-cp-a-selinux.sh.xZOV
+ exit 77
SKIP tests/cp/cp-a-selinux.sh (exit status: 77)

SKIP: tests/cp/cp-mv-enotsup-xattr
==================================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-cp-mv-enotsup-xattr.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-cp-mv-enotsup-xattr.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq
++++ ls -dgo /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-cp-mv-
enotsup-xattr.sh.M9dq'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq
++ cd /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ cp mv
+ require_built_ cp mv
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env cp --version
cp (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ for i in $*
+ env mv --version
mv (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/cp/cp-mv-enotsup-xattr.sh
++ pwd
+ cwd=/sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq
+ skip=0
+ make_fs noxattr nouser_xattr
+ where=noxattr
+ opts=nouser_xattr
+ fs=noxattr.bin
+ dd if=/dev/zero of=noxattr.bin bs=8192 count=200
+ mkdir noxattr
+ mkfs -t ext2 -F noxattr.bin
mkfs: failed to execute mkfs.ext2: No such file or directory
+ skip_ 'failed to create ext2 file system'
+ warn_ 'cp-mv-enotsup-xattr.sh: skipped test: failed to create ext2 file
system'
+ case $IFS in
+ printf '%s\n' 'cp-mv-enotsup-xattr.sh: skipped test: failed to create ext2
file system'
cp-mv-enotsup-xattr.sh: skipped test: failed to create ext2 file system
+ test 9 = 2
+ printf '%s\n' 'cp-mv-enotsup-xattr.sh: skipped test: failed to create ext2
file system'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ cd /
+ umount /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq/noxattr
umount: /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq/noxattr: not
mounted.
+ umount /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq/xattr
umount: /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq/xattr: no mount
point specified.
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq
+ rm -rf /sources/coreutils-9.6/gt-cp-mv-enotsup-xattr.sh.M9dq
+ exit 77
SKIP tests/cp/cp-mv-enotsup-xattr.sh (exit status: 77)

SKIP: tests/cp/cross-dev-symlink
================================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-cross-dev-symlink.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-cross-dev-symlink.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl
++++ ls -dgo /sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-cross-dev-
symlink.sh.jECl'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl
++ cd /sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ cp
+ require_built_ cp
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env cp --version
cp (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/cp/cross-dev-symlink.sh
++ pwd
+ cwd=/sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl
+ truncate -s100M fs.img
+ mkfs -t ext4 fs.img
mkfs: failed to execute mkfs.ext4: No such file or directory
+ skip_ 'failed to create ext4 file system'
+ warn_ 'cross-dev-symlink.sh: skipped test: failed to create ext4 file system'
+ case $IFS in
+ printf '%s\n' 'cross-dev-symlink.sh: skipped test: failed to create ext4 file
system'
cross-dev-symlink.sh: skipped test: failed to create ext4 file system
+ test 9 = 2
+ sed 1q
+ printf '%s\n' 'cross-dev-symlink.sh: skipped test: failed to create ext4 file
system'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ cd /
+ umount /sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl/mnt
umount: /sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl/mnt: no mount point
specified.
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl
+ rm -rf /sources/coreutils-9.6/gt-cross-dev-symlink.sh.jECl
+ exit 77
SKIP tests/cp/cross-dev-symlink.sh (exit status: 77)

SKIP: tests/df/problematic-chars
================================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-problematic-chars.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-problematic-chars.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-problematic-chars.sh.saXI
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-problematic-chars.sh.saXI
++++ ls -dgo /sources/coreutils-9.6/gt-problematic-chars.sh.saXI
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-problematic-
chars.sh.saXI'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-problematic-chars.sh.saXI
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-problematic-chars.sh.saXI
++ cd /sources/coreutils-9.6/gt-problematic-chars.sh.saXI
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ df printf
+ require_built_ df printf
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env df --version
df (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Paul Eggert.
+ for i in $*
+ env printf --version
printf (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/df/problematic-chars.sh
+ mnt='mount
point'
++ pwd
+ cwd=/sources/coreutils-9.6/gt-problematic-chars.sh.saXI
+ skip=0
+ dd if=/dev/zero of=blob bs=8192 count=200
+ mkdir 'mount
point'
+ mkfs -t ext2 -F blob
mkfs: failed to execute mkfs.ext2: No such file or directory
+ skip_ 'failed to create ext2 file system'
+ warn_ 'problematic-chars.sh: skipped test: failed to create ext2 file system'
+ case $IFS in
+ printf '%s\n' 'problematic-chars.sh: skipped test: failed to create ext2 file
system'
problematic-chars.sh: skipped test: failed to create ext2 file system
+ test 9 = 2
+ printf '%s\n' 'problematic-chars.sh: skipped test: failed to create ext2 file
system'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ umount '/sources/coreutils-9.6/gt-problematic-chars.sh.saXI/mount
point'
umount: /sources/coreutils-9.6/gt-problematic-chars.sh.saXI/mount
point: not mounted.
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-problematic-chars.sh.saXI
+ rm -rf /sources/coreutils-9.6/gt-problematic-chars.sh.saXI
+ exit 77
SKIP tests/df/problematic-chars.sh (exit status: 77)

SKIP: tests/df/over-mount-device
================================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-over-mount-device.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-over-mount-device.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-over-mount-device.sh.tI9n
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n
++++ ls -dgo /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-over-mount-
device.sh.tI9n'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-over-mount-device.sh.tI9n
++ cd /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ df
+ require_built_ df
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env df --version
df (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Paul Eggert.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/df/over-mount-device.sh
++ pwd
+ cwd=/sources/coreutils-9.6/gt-over-mount-device.sh.tI9n
+ skip=0
+ for i in 1 2
+ dd if=/dev/zero of=blob1 bs=8192 count=200
+ mkfs -t ext2 -F blob1
mkfs: failed to execute mkfs.ext2: No such file or directory
+ skip_ 'failed to create ext2 file system'
+ warn_ 'over-mount-device.sh: skipped test: failed to create ext2 file system'
+ case $IFS in
+ printf '%s\n' 'over-mount-device.sh: skipped test: failed to create ext2 file
system'
over-mount-device.sh: skipped test: failed to create ext2 file system
+ test 9 = 2
+ printf '%s\n' 'over-mount-device.sh: skipped test: failed to create ext2 file
system'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ cd /
+ umount /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n/mnt
umount: /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n/mnt: no mount point
specified.
+ umount /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n/mnt
umount: /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n/mnt: no mount point
specified.
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n
+ rm -rf /sources/coreutils-9.6/gt-over-mount-device.sh.tI9n
+ exit 77
SKIP tests/df/over-mount-device.sh (exit status: 77)

SKIP: tests/ls/no-cap
=====================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-no-cap.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-no-cap.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-no-cap.sh.Ebxy
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-no-cap.sh.Ebxy
++++ ls -dgo /sources/coreutils-9.6/gt-no-cap.sh.Ebxy
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-no-
cap.sh.Ebxy'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-no-cap.sh.Ebxy
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-no-cap.sh.Ebxy
++ cd /sources/coreutils-9.6/gt-no-cap.sh.Ebxy
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ ls
+ require_built_ ls
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env ls --version
ls (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ require_strace_ capget
+ test 1 = 1
+ strace -V
+ skip_ 'no strace program'
+ warn_ 'no-cap.sh: skipped test: no strace program'
+ case $IFS in
+ printf '%s\n' 'no-cap.sh: skipped test: no strace program'
no-cap.sh: skipped test: no strace program
+ test 9 = 2
+ printf '%s\n' 'no-cap.sh: skipped test: no strace program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-no-cap.sh.Ebxy
+ rm -rf /sources/coreutils-9.6/gt-no-cap.sh.Ebxy
+ exit 77
SKIP tests/ls/no-cap.sh (exit status: 77)

SKIP: tests/chcon/chcon
=======================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-chcon.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-chcon.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-chcon.sh.35LY
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-chcon.sh.35LY
++++ ls -dgo /sources/coreutils-9.6/gt-chcon.sh.35LY
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-
chcon.sh.35LY'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-chcon.sh.35LY
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-chcon.sh.35LY
++ cd /sources/coreutils-9.6/gt-chcon.sh.35LY
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ chcon
+ require_built_ chcon
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env chcon --version
chcon (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Russell Coker and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/chcon/chcon.sh
+ require_selinux_
+ grep 'selinuxfs$' /proc/filesystems
+ skip_ 'this system lacks SELinux support'
+ warn_ 'chcon.sh: skipped test: this system lacks SELinux support'
+ case $IFS in
+ printf '%s\n' 'chcon.sh: skipped test: this system lacks SELinux support'
chcon.sh: skipped test: this system lacks SELinux support
+ test 9 = 2
+ printf '%s\n' 'chcon.sh: skipped test: this system lacks SELinux support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-chcon.sh.35LY
+ rm -rf /sources/coreutils-9.6/gt-chcon.sh.35LY
+ exit 77
SKIP tests/chcon/chcon.sh (exit status: 77)

FAIL: tests/chroot/chroot-credentials
=====================================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-chroot-credentials.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-chroot-credentials.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-chroot-credentials.sh.3d6q
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-chroot-credentials.sh.3d6q
++++ ls -dgo /sources/coreutils-9.6/gt-chroot-credentials.sh.3d6q
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-chroot-
credentials.sh.3d6q'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-chroot-credentials.sh.3d6q
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-chroot-credentials.sh.3d6q
++ cd /sources/coreutils-9.6/gt-chroot-credentials.sh.3d6q
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ chroot
+ require_built_ chroot
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env chroot --version
chroot (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Roland McGrath.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/chroot/chroot-credentials.sh
chroot --userspec=$NON_ROOT_UID: / true || fail=1
  chroot --userspec=$NON_ROOT_USERNAME:$NON_ROOT_GROUP / whoami
  chroot --userspec=$NON_ROOT_USERNAME:$NON_ROOT_GROUP \
+ nonroot_has_perm_
+ require_built_ chroot
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
++ chroot --skip-chdir --user=tester / env PATH=/sources/coreutils-
9.6/./src:/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin rm --version
++ sed -n '1s/.* //p'
+ local rm_version=9.6
+ case ":$rm_version:" in
+ EXIT_CANCELED=125
+ grep '^#define HAVE_SETGROUPS 1' /sources/coreutils-9.6/lib/config.h
+ HAVE_SETGROUPS=1
++ id -nu 0
+ root=root
++ id -u tester
+ NON_ROOT_UID=101
+ NON_ROOT_GROUP=101
+ chroot --userspec=101: / true
+ for g in ' ' ',' '0trail'
+ returns_ 125 chroot '--groups= ' / id -G
chroot: invalid group ' '
+ compare /dev/null invalid
+ compare_dev_null_ /dev/null invalid
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s invalid
+ return 0
+ return 0
+ for g in ' ' ',' '0trail'
+ returns_ 125 chroot --groups=, / id -G
chroot: invalid group list ','
+ compare /dev/null invalid
+ compare_dev_null_ /dev/null invalid
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s invalid
+ return 0
+ return 0
+ for g in ' ' ',' '0trail'
+ returns_ 125 chroot --groups=0trail / id -G
chroot: invalid group '0trail'
+ compare /dev/null invalid
+ compare_dev_null_ /dev/null invalid
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s invalid
+ return 0
+ return 0
++ chroot / whoami
+ test root = root
++ groups
++ chroot / groups
+ test root = root
++ chroot --userspec=tester:101 / whoami
+ whoami_after_chroot=tester
+ test tester '!=' root
++ chroot --userspec=:101 / id -G
++ id -G
+ test 101 = '101 0'
+ fail=1
+ test 1
++ chroot --userspec=tester:101 --groups=101 / id -G
+ id_G_after_chroot=101
+ test 101 = 101
++ chroot --userspec=tester / id -G
++ num_sort
++ sort -n
++ tr -s ' ' '\n'
++ id -G tester
++ num_sort
++ tr -s ' ' '\n'
++ sort -n
+ test 101 = 101
++ num_sort
++ chroot --userspec=tester: / id -G
++ tr -s ' ' '\n'
++ sort -n
++ id -G tester
++ num_sort
++ tr -s ' ' '\n'
++ sort -n
+ test 101 = 101
++ chroot --userspec=tester --groups= / id -G
+ test 101 = 101
++ chroot --userspec=101 / id -G
++ num_sort
++ sort -n
++ tr -s ' ' '\n'
++ id -G tester
++ num_sort
++ tr -s ' ' '\n'
++ sort -n
+ test 101 = 101
++ chroot --userspec=+101:+101 --groups= / id -G
+ test 101 = 101
++ chroot --userspec=:101 / id -u
++ id -u
+ test 0 = 0
++ chroot --userspec=1234:+5678 '--groups= +8765,4321' / id -G
+ test '5678 4321 8765'
++ chroot --userspec=1234:+5678 --groups=,8765,,4321, / id -G
+ test '5678 4321 8765'
++ chroot '--groups=invalid ignored' --groups= / id -G
+ test 0
+ id -u +12342
id: '+12342': no such user
++ chroot --userspec=+12342:+5678 / id -G
+ test 5678 = 5678
+ returns_ 125 chroot --userspec=+12342 / true
chroot: no group specified for unknown uid: 12342
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-chroot-credentials.sh.3d6q
+ rm -rf /sources/coreutils-9.6/gt-chroot-credentials.sh.3d6q
+ exit 1
FAIL tests/chroot/chroot-credentials.sh (exit status: 1)

SKIP: tests/misc/selinux
========================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-selinux.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-selinux.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-selinux.sh.drNn
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-selinux.sh.drNn
++++ ls -dgo /sources/coreutils-9.6/gt-selinux.sh.drNn
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-
selinux.sh.drNn'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-selinux.sh.drNn
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-selinux.sh.drNn
++ cd /sources/coreutils-9.6/gt-selinux.sh.drNn
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ chcon cp ls mv stat
+ require_built_ chcon cp ls mv stat
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env chcon --version
chcon (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Russell Coker and Jim Meyering.
+ for i in $*
+ env cp --version
cp (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ for i in $*
+ env ls --version
ls (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ for i in $*
+ env mv --version
mv (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ for i in $*
+ env stat --version
stat (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Michael Meskes.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/misc/selinux.sh
+ require_selinux_
+ grep 'selinuxfs$' /proc/filesystems
+ skip_ 'this system lacks SELinux support'
+ warn_ 'selinux.sh: skipped test: this system lacks SELinux support'
+ case $IFS in
+ printf '%s\n' 'selinux.sh: skipped test: this system lacks SELinux support'
selinux.sh: skipped test: this system lacks SELinux support
+ test 9 = 2
+ printf '%s\n' 'selinux.sh: skipped test: this system lacks SELinux support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-selinux.sh.drNn
+ rm -rf /sources/coreutils-9.6/gt-selinux.sh.drNn
+ exit 77
SKIP tests/misc/selinux.sh (exit status: 77)

SKIP: tests/mkdir/writable-under-readonly
=========================================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-writable-under-readonly.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-writable-under-readonly.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-writable-under-readonly.sh.YD7G
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-writable-under-readonly.sh.YD7G
++++ ls -dgo /sources/coreutils-9.6/gt-writable-under-readonly.sh.YD7G
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-writable-
under-readonly.sh.YD7G'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-writable-under-readonly.sh.YD7G
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-writable-under-readonly.sh.YD7G
++ cd /sources/coreutils-9.6/gt-writable-under-readonly.sh.YD7G
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ mkdir
+ require_built_ mkdir
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env mkdir --version
mkdir (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/mkdir/writable-under-readonly.sh
+ skip_ temporarily disabled
+ warn_ 'writable-under-readonly.sh: skipped test: temporarily' disabled
+ case $IFS in
+ printf '%s\n' 'writable-under-readonly.sh: skipped test: temporarily disabled'
writable-under-readonly.sh: skipped test: temporarily disabled
+ test 9 = 2
+ sed 1q
+ printf '%s\n' 'writable-under-readonly.sh: skipped test: temporarily disabled'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-writable-under-readonly.sh.YD7G
+ rm -rf /sources/coreutils-9.6/gt-writable-under-readonly.sh.YD7G
+ exit 77
SKIP tests/mkdir/writable-under-readonly.sh (exit status: 77)

SKIP: tests/mkdir/smack-root
============================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-smack-root.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-smack-root.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-smack-root.sh.JbgX
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-smack-root.sh.JbgX
++++ ls -dgo /sources/coreutils-9.6/gt-smack-root.sh.JbgX
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-smack-
root.sh.JbgX'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-smack-root.sh.JbgX
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-smack-root.sh.JbgX
++ cd /sources/coreutils-9.6/gt-smack-root.sh.JbgX
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ mkdir mkfifo mknod
+ require_built_ mkdir mkfifo mknod
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env mkdir --version
mkdir (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in $*
+ env mkfifo --version
mkfifo (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in $*
+ env mknod --version
mknod (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_smack_
+ grep 'smackfs$' /proc/filesystems
+ skip_ 'this system lacks SMACK support'
+ warn_ 'smack-root.sh: skipped test: this system lacks SMACK support'
+ case $IFS in
+ printf '%s\n' 'smack-root.sh: skipped test: this system lacks SMACK support'
smack-root.sh: skipped test: this system lacks SMACK support
+ test 9 = 2
+ printf '%s\n' 'smack-root.sh: skipped test: this system lacks SMACK support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-smack-root.sh.JbgX
+ rm -rf /sources/coreutils-9.6/gt-smack-root.sh.JbgX
+ exit 77
SKIP tests/mkdir/smack-root.sh (exit status: 77)

SKIP: tests/mv/hardlink-case
============================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-hardlink-case.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-hardlink-case.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-hardlink-case.sh.q0NU
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-hardlink-case.sh.q0NU
++++ ls -dgo /sources/coreutils-9.6/gt-hardlink-case.sh.q0NU
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-hardlink-
case.sh.q0NU'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-hardlink-case.sh.q0NU
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-hardlink-case.sh.q0NU
++ cd /sources/coreutils-9.6/gt-hardlink-case.sh.q0NU
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ mv
+ require_built_ mv
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env mv --version
mv (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/mv/hardlink-case.sh
++ pwd
+ cwd=/sources/coreutils-9.6/gt-hardlink-case.sh.q0NU
+ truncate -s100M hfs.img
+ mkfs -t hfsplus hfs.img
mkfs: failed to execute mkfs.hfsplus: No such file or directory
+ skip_ 'failed to create hfs file system'
+ warn_ 'hardlink-case.sh: skipped test: failed to create hfs file system'
+ case $IFS in
+ printf '%s\n' 'hardlink-case.sh: skipped test: failed to create hfs file
system'
hardlink-case.sh: skipped test: failed to create hfs file system
+ test 9 = 2
+ printf '%s\n' 'hardlink-case.sh: skipped test: failed to create hfs file
system'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ cd /
+ umount /sources/coreutils-9.6/gt-hardlink-case.sh.q0NU/mnt
umount: /sources/coreutils-9.6/gt-hardlink-case.sh.q0NU/mnt: no mount point
specified.
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-hardlink-case.sh.q0NU
+ rm -rf /sources/coreutils-9.6/gt-hardlink-case.sh.q0NU
+ exit 77
SKIP tests/mv/hardlink-case.sh (exit status: 77)

SKIP: tests/rm/read-only
========================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-read-only.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-read-only.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-read-only.sh.dCbe
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-read-only.sh.dCbe
++++ ls -dgo /sources/coreutils-9.6/gt-read-only.sh.dCbe
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-read-
only.sh.dCbe'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-read-only.sh.dCbe
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-read-only.sh.dCbe
++ cd /sources/coreutils-9.6/gt-read-only.sh.dCbe
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ rm
+ require_built_ rm
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env rm --version
rm (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/rm/read-only.sh
++ pwd
+ cwd=/sources/coreutils-9.6/gt-read-only.sh.dCbe
+ skip=0
+ dd if=/dev/zero of=blob bs=8192 count=200
+ mkdir mnt
+ mkfs -t ext2 -F blob
mkfs: failed to execute mkfs.ext2: No such file or directory
+ skip_ 'failed to create ext2 file system'
+ warn_ 'read-only.sh: skipped test: failed to create ext2 file system'
+ case $IFS in
+ printf '%s\n' 'read-only.sh: skipped test: failed to create ext2 file system'
read-only.sh: skipped test: failed to create ext2 file system
+ test 9 = 2
+ printf '%s\n' 'read-only.sh: skipped test: failed to create ext2 file system'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ cd /
+ umount /sources/coreutils-9.6/gt-read-only.sh.dCbe/mnt
umount: /sources/coreutils-9.6/gt-read-only.sh.dCbe/mnt: not mounted.
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-read-only.sh.dCbe
+ rm -rf /sources/coreutils-9.6/gt-read-only.sh.dCbe
+ exit 77
SKIP tests/rm/read-only.sh (exit status: 77)

SKIP: tests/rm/empty-immutable-skip
===================================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-empty-immutable-skip.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-empty-immutable-skip.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-empty-immutable-skip.sh.FCeI
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-empty-immutable-skip.sh.FCeI
++++ ls -dgo /sources/coreutils-9.6/gt-empty-immutable-skip.sh.FCeI
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-empty-
immutable-skip.sh.FCeI'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-empty-immutable-skip.sh.FCeI
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-empty-immutable-skip.sh.FCeI
++ cd /sources/coreutils-9.6/gt-empty-immutable-skip.sh.FCeI
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ rm
+ require_built_ rm
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env rm --version
rm (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/rm/empty-immutable-skip.sh
+ chattr_i_works=1
+ touch f
+ chattr +i f
+ chattr_i_works=0
+ rm f
+ test -f f
+ chattr_i_works=0
+ chattr -i f
+ chattr_i_works=0
+ rm f
+ chattr_i_works=0
+ test -f f
+ test 0 = 0
+ skip_ 'chattr +i doesn'\''t work on this file system'
+ warn_ 'empty-immutable-skip.sh: skipped test: chattr +i doesn'\''t work on
this file system'
+ case $IFS in
+ printf '%s\n' 'empty-immutable-skip.sh: skipped test: chattr +i doesn'\''t
work on this file system'
empty-immutable-skip.sh: skipped test: chattr +i doesn't work on this file
system
+ test 9 = 2
+ printf '%s\n' 'empty-immutable-skip.sh: skipped test: chattr +i doesn'\''t
work on this file system'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-empty-immutable-skip.sh.FCeI
+ rm -rf /sources/coreutils-9.6/gt-empty-immutable-skip.sh.FCeI
+ exit 77
SKIP tests/rm/empty-immutable-skip.sh (exit status: 77)

SKIP: tests/split/l-chunk-root
==============================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-l-chunk-root.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-l-chunk-root.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1
++++ ls -dgo /sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-l-chunk-
root.sh.ddf1'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1
++ cd /sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ split
+ require_built_ split
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env split --version
split (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund and Richard M. Stallman.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/split/l-chunk-root.sh
++ pwd
+ cwd=/sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1
+ dd if=/dev/zero of=blob bs=8192 count=200
200+0 records in
200+0 records out
1638400 bytes (1.6 MB, 1.6 MiB) copied, 0.00262487 s, 624 MB/s
+ mkdir mnt
+ mkfs -t ext2 -F blob
mkfs: failed to execute mkfs.ext2: No such file or directory
+ skip_ 'insufficient mount/ext2 support'
+ warn_ 'l-chunk-root.sh: skipped test: insufficient mount/ext2 support'
+ case $IFS in
+ printf '%s\n' 'l-chunk-root.sh: skipped test: insufficient mount/ext2 support'
l-chunk-root.sh: skipped test: insufficient mount/ext2 support
+ test 9 = 2
+ printf '%s\n' 'l-chunk-root.sh: skipped test: insufficient mount/ext2 support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ cd /
+ umount /sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1/mnt
umount: /sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1/mnt: not mounted.
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1
+ rm -rf /sources/coreutils-9.6/gt-l-chunk-root.sh.ddf1
+ exit 77
SKIP tests/split/l-chunk-root.sh (exit status: 77)

SKIP: tests/tail/append-only
============================

++ initial_cwd_=/sources/coreutils-9.6
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /sources/coreutils-9.6 gt-append-only.sh.XXXX
+++ case $# in
+++ destdir_=/sources/coreutils-9.6
+++ template_=gt-append-only.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/sources/coreutils-9.6/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/sources/coreutils-9.6/gt-append-only.sh.xPht
+++ case $d in
+++ :
+++ test -d /sources/coreutils-9.6/gt-append-only.sh.xPht
++++ ls -dgo /sources/coreutils-9.6/gt-append-only.sh.xPht
+++ perms='drwx------ 2 4096 Jul 29 22:07 /sources/coreutils-9.6/gt-append-
only.sh.xPht'
+++ case $perms in
+++ :
+++ echo /sources/coreutils-9.6/gt-append-only.sh.xPht
+++ return
++ test_dir_=/sources/coreutils-9.6/gt-append-only.sh.xPht
++ cd /sources/coreutils-9.6/gt-append-only.sh.xPht
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sources/coreutils-9.6/src/.
++ new_PATH=/sources/coreutils-9.6/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ IFS=' 	
'
++ PATH=/sources/coreutils-9.6/src:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/sources/coreutils-9.6/./src
+ case $abs_path_dir_ in
+ PATH=/sources/coreutils-9.6/./src:/sources/coreutils-
9.6/src:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /sources/coreutils-9.6/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ tail
+ require_built_ tail
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env tail --version
tail (GNU coreutils) 9.6
Copyright (C) 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=tester
++ id -g tester
+ NON_ROOT_GID=101
+ grep '^[ ]*chroot' .././tests/tail/append-only.sh
+ chattr_a_works=1
+ touch f
+ chattr +a f
+ chattr_a_works=0
+ chattr_a_works=0
+ echo x
+ test 0 = 0
+ skip_ 'chattr +a doesn'\''t work on this file system'
+ warn_ 'append-only.sh: skipped test: chattr +a doesn'\''t work on this file
system'
+ case $IFS in
+ printf '%s\n' 'append-only.sh: skipped test: chattr +a doesn'\''t work on this
file system'
append-only.sh: skipped test: chattr +a doesn't work on this file system
+ test 9 = 2
+ printf '%s\n' 'append-only.sh: skipped test: chattr +a doesn'\''t work on this
file system'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ kill
+ test '' = yes
+ cd /sources/coreutils-9.6
+ chmod -R u+rwx /sources/coreutils-9.6/gt-append-only.sh.xPht
+ rm -rf /sources/coreutils-9.6/gt-append-only.sh.xPht
+ exit 77
SKIP tests/tail/append-only.sh (exit status: 77)
signature.asc (application/pgp-signature, 228 B)
-----BEGIN PGP SIGNATURE-----

iHUEABYKAB0WIQSPtBjNlSAi5bvEMmE/JXto9byTOQUCaIk7IQAKCRA/JXto9byT
OY1iAQD70XP0fMsokAArx8yyex/wdtFlMKJlXKmuTPTnYO6YwgD/dDHL8waETJ1t
VA5YLtZePniRLGexHiiSdttaXwsZ8Qk=
=84w3
-----END PGP SIGNATURE-----